using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;
using KairoEngine.Core;

namespace KairoEngine.Core.Editor
{
    [CustomPropertyDrawer(typeof(TagAttribute))]
    class TagAttributeEditor : PropertyDrawer
    {

        public override void OnGUI(Rect position, SerializedProperty property, GUIContent label)
        {
            property.stringValue = EditorGUI.TagField(position, label, property.stringValue);
        }
    }
}