# 📦 KairoEngine.Core v0.2.5

This contains the base code that other packages will use. It includes code for the module system, event system and common interfaces.

### 🛑Required packages

- ``Sirenix.OdinInspector``
- `zenject`
- `UniRX`
- `QFSW.MOP2`

### 🔷Components

- ``GameInstaller``

### 📑Templates

- **Game Config** – Scriptable object template that holds data about modules and the game. Each game will have its own game config with different module settings.

### 📄Namespaces

- `KairoEngine.Core`

- `KairoEngine.Core.ModuleSystem`

### 📄Changelog

##### v0.2.7
- Added Tag Attribute
- Added Layer Attribute
- Added Vector3 Generic Event
- Added random seed to IMapDataGenerator

##### v0.2.6
- Added the Cronometer utility
- Added IMapDataGenerator interface
- Added HideInspectorDerivedAttribute
- Fixed bug in TimeToString utility function

##### v0.2.5
- Updated the ResolutionOptions to include all types of displays with a minimum size

##### v0.2.4
- Added ExecuteRealTimeNotDisposable to Timer class
- Added String Boolean Generic Event

##### v0.2.3
- Fixed IconFoldoutGroup icon path
- Added OpenUrlGameAction

##### v0.2.2
- Fixed WaitGameAction icon path to find the file instead of using a fixed path
- Added FindFileByName function to Utilities
- Fixed bug in IconFoldoutGroupAttributeDrawer icon path

##### v0.2.1
- Added TriggerGenericEvent GameAction

##### v0.2.0

- Upgraded GameModule system

### 🎈Back Log

- [ ] Game State register and check
  Ex: Check if game is paused, Check if player input is allowed...

- [ ] Move ``UiInputBlocker`` from the **UI** package to this package.

