﻿using System;
using Sirenix.OdinInspector;

namespace KairoEngine.Core
{
    public class IconFoldoutGroupAttribute : PropertyGroupAttribute
    {

        public string iconPath;
        public string text;

        public IconFoldoutGroupAttribute(string path) : base(path) { }

        public IconFoldoutGroupAttribute(string path, string iconPath) : base(path) 
        { 
            this.text = path;
            this.iconPath = iconPath;
        }

        protected override void CombineValuesWith(PropertyGroupAttribute other)
        {
            var otherAttr = (IconFoldoutGroupAttribute)other;
        }

    }
}


