﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.Core.ConfigOptions
{
    public enum ConfigOptionUIType
    {
        Slider,
        Checkbox,
        Dropdown,
        KeyMapping,
        Text
    }

    public interface IConfigOption
    {
        void SetDefaultValue();
        void LoadValue(bool debug);
        void SetValue(ConfigOptionData data, bool save = false);
        ConfigOptionUiData GetUiData();
    }
}


